Index: code/branches/cpp11_v3/src/modules/dodgerace/DodgeRace.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/dodgerace/DodgeRace.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/dodgerace/DodgeRace.cc	(revision 11054)
@@ -59,5 +59,5 @@
         comboTimer.setTimer(3.0f, true, createExecutor(createFunctor(&DodgeRace::comboControll, this)));
         this->numberOfBots_ = 0; //sets number of default bots temporarly to 0
-        this->center_ = 0;
+        this->center_ = nullptr;
 
         this->setHUDTemplate("DodgeRaceHUD");
@@ -67,5 +67,5 @@
     {
         level++;
-        if (getPlayer() != NULL)
+        if (getPlayer() != nullptr)
         {
             for (int i = 0; i < 7; i++)
@@ -89,5 +89,5 @@
     void DodgeRace::tick(float dt)
     {
-        if (getPlayer() != NULL)
+        if (getPlayer() != nullptr)
         {
             currentPosition = getPlayer()->getWorldPosition().x;
@@ -138,9 +138,9 @@
     DodgeRaceShip* DodgeRace::getPlayer()
     {
-        if (player == NULL)
-        {
-            for (ObjectList<DodgeRaceShip>::iterator it = ObjectList<DodgeRaceShip>::begin(); it != ObjectList<DodgeRaceShip>::end(); ++it)
-            {
-                player = *it;
+        if (player == nullptr)
+        {
+            for (DodgeRaceShip* ship : ObjectList<DodgeRaceShip>())
+            {
+                player = ship;
             }
         }
@@ -177,5 +177,5 @@
         this->bForceSpawn_ = false;
 
-        if (this->center_ == NULL)  // abandon mission!
+        if (this->center_ == nullptr)  // abandon mission!
         {
             orxout(internal_error) << "DodgeRace: No Centerpoint specified." << endl;
Index: code/branches/cpp11_v3/src/modules/dodgerace/DodgeRace.h
===================================================================
--- code/branches/cpp11_v3/src/modules/dodgerace/DodgeRace.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/dodgerace/DodgeRace.h	(revision 11054)
@@ -68,10 +68,10 @@
             DodgeRace(Context* context);
 
-            virtual void start();
-            virtual void end();
+            virtual void start() override;
+            virtual void end() override;
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
-            virtual void playerPreSpawn(PlayerInfo* player);
+            virtual void playerPreSpawn(PlayerInfo* player) override;
 
             void levelUp();
@@ -84,5 +84,5 @@
             void setCenterpoint(DodgeRaceCenterPoint* center)
                        { this->center_ = center; }
-            virtual void addBots(unsigned int amount){} //<! overwrite function in order to bypass the addbots command
+            virtual void addBots(unsigned int amount) override{} //<! overwrite function in order to bypass the addbots command
 
             // checks if multiplier should be reset.
Index: code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceCenterPoint.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceCenterPoint.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceCenterPoint.cc	(revision 11054)
@@ -56,5 +56,5 @@
     void DodgeRaceCenterPoint::checkGametype()
     {
-        if (this->getGametype() != NULL && this->getGametype()->isA(Class(DodgeRace)))
+        if (this->getGametype() != nullptr && this->getGametype()->isA(Class(DodgeRace)))
         {
             DodgeRace* DodgeRaceGametype = orxonox_cast<DodgeRace*>(this->getGametype());
Index: code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceCenterPoint.h
===================================================================
--- code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceCenterPoint.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceCenterPoint.h	(revision 11054)
@@ -50,5 +50,5 @@
             DodgeRaceCenterPoint(Context* context); //checks whether the gametype is actually DodgeRace.
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         private:
Index: code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceHUDinfo.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceHUDinfo.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceHUDinfo.cc	(revision 11054)
@@ -40,5 +40,5 @@
         RegisterObject(DodgeRaceHUDinfo);
 
-        this->DodgeRaceGame = 0;
+        this->DodgeRaceGame = nullptr;
         this->bShowPoints_ = true;
     }
@@ -86,5 +86,5 @@
         else
         {
-            this->DodgeRaceGame = 0;
+            this->DodgeRaceGame = nullptr;
         }
     }
Index: code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceHUDinfo.h
===================================================================
--- code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceHUDinfo.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceHUDinfo.h	(revision 11054)
@@ -44,7 +44,7 @@
             DodgeRaceHUDinfo(Context* context);
 
-            virtual void tick(float dt);
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedOwner();
+            virtual void tick(float dt) override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void changedOwner() override;
 
             inline void setShowPoints(bool value)
Index: code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceShip.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceShip.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceShip.cc	(revision 11054)
@@ -91,5 +91,5 @@
         // Camera
         Camera* camera = this->getCamera();
-        if (camera != NULL)
+        if (camera != nullptr)
         {
             // camera->setPosition(Vector3(-pos.z, -posforeward, 0));
@@ -142,5 +142,5 @@
     }
 
-    inline bool DodgeRaceShip::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
+    inline bool DodgeRaceShip::collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint)
     {
 
@@ -152,9 +152,9 @@
     DodgeRace* DodgeRaceShip::getGame()
     {
-        if (game == NULL)
+        if (game == nullptr)
         {
-            for (ObjectList<DodgeRace>::iterator it = ObjectList<DodgeRace>::begin(); it != ObjectList<DodgeRace>::end(); ++it)
+            for (DodgeRace* race : ObjectList<DodgeRace>())
             {
-                game = *it;
+                game = race;
             }
         }
Index: code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceShip.h
===================================================================
--- code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceShip.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/dodgerace/DodgeRaceShip.h	(revision 11054)
@@ -52,21 +52,23 @@
             DodgeRaceShip(Context* context);
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
             // overwrite for 2d movement
-            virtual void moveFrontBack(const Vector2& value);
-            virtual void moveRightLeft(const Vector2& value);
+            virtual void moveFrontBack(const Vector2& value) override;
+            virtual void moveRightLeft(const Vector2& value) override;
 
             // Starts or stops fireing
-            virtual void boost(bool bBoost);
+            virtual void boost(bool bBoost) override;
 
             //no rotation!
-            virtual void rotateYaw(const Vector2& value){};
-            virtual void rotatePitch(const Vector2& value){};
+            virtual void rotateYaw(const Vector2& value) override{};
+            virtual void rotatePitch(const Vector2& value) override{};
 
             //return to main menu if game has ended.
-            virtual void rotateRoll(const Vector2& value){if (getGame()) if (getGame()->bEndGame) getGame()->end();};
+            virtual void rotateRoll(const Vector2& value) override{if (getGame()) if (getGame()->bEndGame) getGame()->end();};
 
             virtual void updateLevel();
+
+            virtual inline bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
 
             float speed, damping, posforeward;
@@ -74,8 +76,7 @@
 
         protected:
-            virtual void death();
+            virtual void death() override;
 
         private:
-            virtual inline bool collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint);
             DodgeRace* getGame();
             WeakPtr<DodgeRace> game;
